Description

Hello,

I am conducting analysis on several waves of the UKHLS. I have noticed that, when looking at expenditure on different types of fuels,

several households have “not applicable” across all fuel types, yet they have central heating. I was wondering if you could offer some

clarification on why this mismatch may occur.

Many thanks in advance for your help!

Kind Regards,

Christina

History

#1 - 01/21/2021 10:40 AM - Alita Nandi

- Status changed from New to Feedback

- % Done changed from 0 to 50

- Private changed from Yes to No

Dear Christina,

We will look into this. Could you please provide exact variable names and waves you are looking at?

For Wave 1, there are no cases with a_fuelhave* = -8 (inapplicable). And there are only 90 households who say they have central healting but no fuel

(a_heatch==1 & a_fuelhave96==1).

Best wishes,

Understanding Society User Support Team

#2 - 01/21/2021 10:41 AM - Alita Nandi

- Assignee set to Alita Nandi

#3 - 01/21/2021 01:41 PM - Alita Nandi

- Assignee changed from Alita Nandi to Christina Nascimento

#4 - 01/21/2021 01:45 PM - Christina Nascimento

Dear Alita,

Thank you very much for your quick reply.

I am specifically interested in fuel expenditure, so I have been looking at the following fuel expenditure variables: w_xpduely, w_xpelecy, w_xpgasy,

w_xpoily, and w_xpsfly. Looking at the hhresp dataset in wave 2, for example, I have found that 423 households have an inapplicable code (-8)

across all the fuel expenditure variables. Of these, only 111 households have stated they do not have any of these fuels (b_fuelhave96==1) and 109

households say they have central heating (b_heatch==1).

I guess I am wondering if there’s a reason behind how households can have central heating but have an inapplicable code across all fuel expenditure

variables and how some households state they have none of the fuels, but still have central heating.

I also wanted to know, if I drop the households who are coded -8 across all fuel expenditure variables, would I then have to re-weight the data?

Thanks again for all your help on the matter.

Kind Regards,

Christina
#5 - 01/21/2021 02:34 PM - Alita Nandi

- % Done changed from 50 to 80

I have checked the routing on all these questions (as specified in the questionnaire) and these are ok.

cou if fuelduel==-8 & (fuelhave1==1 & fuelhave2==1)

cou if xpduely==-8  & (fuelhave1==1 & fuelhave2==1 & fuelduel==1)

cou if xpelecy==-8  & (fuelhave1==1 & fuelduel~=1)

cou if xpgasy==-8   & (fuelhave2==1 & fuelduel~=1)

cou if xpoily==-8   & (fuelhave3==1)

cou if xpsfly==-8   & (fuelhave4==1)

cou if (xpduely==-8 & xpelecy==-8 & xpgasy==-8 & xpoily==-8 & xpsfly==-8) & fuelhave96==0

If they don't choose at least one of the fuels in the fuelhave question they will not be asked the follow-up question on expenditure on these fuels. Of

the 423 who had -8 on all the fuel amount questions, 111 said they didn't have any fuel and the remaining were missing on the fuelhave question for

various reasons:

fre fuelhave96 if (xpduely==-8 & xpelecy==-8 & xpgasy==-8 & xpoily==-8 & xpsfly==-8)

As the fuelhave and heatch questions were asked separately, that is, without being dependant on the response to the other question, it is possible

that some household respondents answered in an inconsistent manner. For Wave b, there are 101 households who said they had central heating but

didn't use any fuel (heatch==1 & fuelhave96==1). You can investigate why this happenned. For example, a majority of these cases (84 out of 101)

were renting (hsownd = 4 or 5) so it is possible that their fuel is included in their rent, and 3 more hsownd = 97 (other). Only 14 of these 101 cases

owned their house.

#6 - 01/21/2021 02:40 PM - Christina Nascimento

Dear Alita,

Thank you so much for taking the time to check this and for helping me understand this matter. I really appreciate your help!

Kind Regards,

Christina

#7 - 01/25/2021 11:03 PM - Alita Nandi

- Status changed from Feedback to Resolved

- Assignee deleted (Christina Nascimento)

- % Done changed from 80 to 100

#8 - 10/24/2023 09:47 AM - Understanding Society  User Support Team

- Status changed from Resolved to In Progress

#9 - 10/24/2023 09:47 AM - Understanding Society  User Support Team

- Status changed from In Progress to Resolved
